import React, { useEffect } from 'react';
import Button from '../shared/Button';
import NavbarMatrixBackground from './NavbarMatrixBackground';

const Navbar: React.FC = () => {
  return (
    <>
      {/* Matrix background stays at top of page (not sticky) */}
      <div className="relative bg-gray-900/15 backdrop-blur-sm text-white overflow-hidden border-b border-blue-500/20">
        <NavbarMatrixBackground />
        <div className="relative z-10 p-4">
          <div className="container mx-auto flex justify-between items-center">
            <a href="/" className="text-2xl font-bold text-indigo-400 hover:text-indigo-300 transition-colors">
              OpenCand
            </a>
            <div className="space-x-4">
              <Button href="/dados-disponiveis">Dados Disponíveis</Button>
              <Button href="/estatisticas">Estatíscas</Button>
              <Button href="/#features">Recursos</Button>
              <Button href="/about">Sobre</Button>
            </div>
          </div>
        </div>
      </div>
    </>
  );
};

export default Navbar;
