import React from 'react';

interface GlassCardProps {
  children: React.ReactNode;
  className?: string;
  fullHeight?: boolean;
  padding?: string;
}

const GlassCard: React.FC<GlassCardProps> = ({
  children,
  className = '',
  fullHeight = false,
  padding = 'py-6 pl-6 pr-4',
}) => {
  return (
    <div className={`
      bg-white/95 border border-white/25 rounded-xl backdrop-blur-sm
      shadow-lg hover:shadow-xl
      ${fullHeight ? 'h-full' : ''}
      ${className}
    `}>
      <div className={`${padding} ${fullHeight ? 'h-full flex flex-col' : ''}`}>
        {children}
      </div>
    </div>
  );
};

export default GlassCard;
